Bug 1268625 - Freezing of tasks failed after 20.002 seconds (1 tasks refusing to freeze, wq_busy=0) - alsactl
Freezing of tasks failed after 20.002 seconds (1 tasks refusing to freeze, wq...
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-03 18:20 EDT by Ankur Sinha (FranciscoD)
Modified: 2017-05-01 07:46 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-04-28 13:19:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Complete journalctl log (689.52 KB, text/x-vhdl)
2015-10-03 18:21 EDT, Ankur Sinha (FranciscoD)
no flags Details
dmesg for 4.2.3-300 (162.62 KB, text/x-vhdl)
2015-11-04 09:05 EST, Ankur Sinha (FranciscoD)
no flags Details
dmesg for 4.4.4-301 (145.25 KB, text/plain)
2016-03-09 09:09 EST, Ankur Sinha (FranciscoD)
no flags Details
dmesg for 4.5.4-300 (85.67 KB, text/plain)
2016-05-18 03:56 EDT, Ankur Sinha (FranciscoD)
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2015-10-03 18:20:34 EDT
Description of problem:
System doesn't seem to suspend (not sure if it's a kernel issue, but reporting it here anyway)

Version-Release number of selected component (if applicable):
Linux ankur.pc 4.2.2-300.fc23.x86_64 #1 SMP Wed Sep 30 01:36:26 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Sometimes.

Steps to Reproduce:
1. Try to suspend system
2.
3.

Actual results:
Seems like it starts to suspend but then the system doesn't stop working and things

Expected results:
Should suspend normally.

Additional info:
Relevant info from journalctl:

Oct 03 23:14:44 ankur.pc kernel: PM: Syncing filesystems ... done.
Oct 03 23:14:44 ankur.pc kernel: PM: Preparing system for sleep (freeze)
Oct 03 23:14:44 ankur.pc kernel: Freezing user space processes ... 
Oct 03 23:14:44 ankur.pc kernel: Freezing of tasks failed after 20.007 seconds (1 tasks refusing to freeze, wq_busy=0):
Oct 03 23:14:44 ankur.pc kernel: alsactl         D ffff88024bd167c0     0   783      1 0x00000004
Oct 03 23:14:44 ankur.pc kernel:  ffff88023da43b28 0000000000000086 ffff880242241c40 ffff880240d93880
Oct 03 23:14:44 ankur.pc kernel:  ffff88023da43b28 ffff88023da44000 ffff88024bd0ec00 ffff88023da43b78
Oct 03 23:14:44 ankur.pc kernel:  ffff88024bd0ec00 ffff880241117000 ffff88023da43b48 ffffffff817742a7
Oct 03 23:14:44 ankur.pc kernel: Call Trace:
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff817742a7>] schedule+0x37/0x80
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff81777091>] schedule_timeout+0x121/0x240
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff811059d0>] ? trace_event_raw_event_tick_stop+0xf0/0xf0
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffffa054a265>] snd_power_wait+0xb5/0x110 [snd]
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff810c7a20>] ? wake_up_q+0x70/0x70
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffffa054b981>] snd_ctl_elem_info_user+0x61/0xf0 [snd]
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffffa054e46d>] snd_ctl_ioctl+0x5fd/0x6e0 [snd]
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff81231315>] do_vfs_ioctl+0x295/0x470
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff8132934d>] ? selinux_file_ioctl+0x4d/0xc0
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff81231569>] SyS_ioctl+0x79/0x90
Oct 03 23:14:44 ankur.pc kernel:  [<ffffffff8177836e>] entry_SYSCALL_64_fastpath+0x12/0x71
Oct 03 23:14:44 ankur.pc kernel: 
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: The canary thread is apparently starving. Taking action.
Oct 03 23:14:44 ankur.pc kernel: Restarting tasks ... done.
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Demoting known real-time threads.
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 2199 of process 2180 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 2196 of process 2180 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 2193 of process 2180 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 2180 of process 2180 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 1615 of process 1609 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 1612 of process 1609 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Successfully demoted thread 1609 of process 1609 (/usr/bin/pulseaudio).
Oct 03 23:14:44 ankur.pc rtkit-daemon[784]: Demoted 7 threads.
Oct 03 23:14:44 ankur.pc /usr/libexec/gdm-x-session[1964]: (EE) libinput bug: timer offset negative
Oct 03 23:14:44 ankur.pc /usr/libexec/gdm-x-session[1964]: (EE) libinput bug: timer offset negative
Oct 03 23:14:44 ankur.pc /usr/libexec/gdm-x-session[1964]: (EE) libinput bug: timer offset negative
Oct 03 23:14:44 ankur.pc /usr/libexec/gdm-x-session[1964]: (EE) libinput bug: timer offset negative
Oct 03 23:14:44 ankur.pc kernel: video LNXVIDEO:00: Restoring backlight state
Oct 03 23:14:44 ankur.pc kernel: video LNXVIDEO:01: Restoring backlight state
Oct 03 23:14:44 ankur.pc systemd[1]: systemd-suspend.service: Main process exited, code=exited, status=1/FAILURE
Oct 03 23:14:44 ankur.pc systemd[1]: Failed to start Suspend.
Oct 03 23:14:44 ankur.pc systemd[1]: Dependency failed for Suspend.
Oct 03 23:14:44 ankur.pc systemd[1]: suspend.target: Job suspend.target/start failed with result 'dependency'.
Oct 03 23:14:44 ankur.pc systemd[1]: sleep.target: Unit not needed anymore. Stopping.
Oct 03 23:14:44 ankur.pc audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-suspend comm="systemd" ex
Oct 03 23:14:44 ankur.pc systemd[1]: systemd-suspend.service: Unit entered failed state.
Oct 03 23:14:44 ankur.pc systemd-logind[794]: Operation finished.
Oct 03 23:14:44 ankur.pc systemd[1]: systemd-suspend.service: Failed with result 'exit-code'.
Oct 03 23:14:44 ankur.pc systemd[1]: Stopped target Sleep.
Oct 03 23:14:44 ankur.pc systemd[1]: Stopping Sleep.
Comment 1 Ankur Sinha (FranciscoD) 2015-10-03 18:21 EDT
Created attachment 1079675 [details]
Complete journalctl log
Comment 2 Ankur Sinha (FranciscoD) 2015-10-05 17:16:02 EDT
Happened again. Similar message:

Oct 05 22:14:18 ankur.pc kernel: PM: Syncing filesystems ... done.
Oct 05 22:14:18 ankur.pc kernel: PM: Preparing system for sleep (freeze)
Oct 05 22:14:18 ankur.pc kernel: Freezing user space processes ... 
Oct 05 22:14:18 ankur.pc kernel: Freezing of tasks failed after 20.004 seconds (1 tasks refusing to freeze, wq_busy=0):
Oct 05 22:14:18 ankur.pc kernel: alsactl         D 0000000000000001     0   756      1 0x00000004
Oct 05 22:14:18 ankur.pc kernel:  ffff8800a6143b28 0000000000000086 ffff8801fb028000 ffff88023ef69c40
Oct 05 22:14:18 ankur.pc kernel:  ffff8800a6143b28 ffff8800a6144000 ffff88024bc8ec00 ffff8800a6143b78
Oct 05 22:14:18 ankur.pc kernel:  ffff88024bc8ec00 ffff88023fa52000 ffff8800a6143b48 ffffffff817742a7
Oct 05 22:14:18 ankur.pc kernel: Call Trace:
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff817742a7>] schedule+0x37/0x80
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff81777091>] schedule_timeout+0x121/0x240
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff811059d0>] ? trace_event_raw_event_tick_stop+0xf0/0xf0
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffffa0486265>] snd_power_wait+0xb5/0x110 [snd]
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff810c7a20>] ? wake_up_q+0x70/0x70
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffffa0487981>] snd_ctl_elem_info_user+0x61/0xf0 [snd]
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffffa048a46d>] snd_ctl_ioctl+0x5fd/0x6e0 [snd]
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff81231315>] do_vfs_ioctl+0x295/0x470
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff8132934d>] ? selinux_file_ioctl+0x4d/0xc0
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff81231569>] SyS_ioctl+0x79/0x90
Oct 05 22:14:18 ankur.pc kernel:  [<ffffffff8177836e>] entry_SYSCALL_64_fastpath+0x12/0x71
Oct 05 22:14:18 ankur.pc kernel: 
Oct 05 22:14:18 ankur.pc rtkit-daemon[770]: The canary thread is apparently starving. Taking action.
Comment 3 Ankur Sinha (FranciscoD) 2015-11-04 09:04:56 EST
Still present:

Linux ankur.pc 4.2.3-300.fc23.x86_64 #1 SMP Mon Oct 5 15:42:54 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux

Nov 04 14:02:31 ankur.pc kernel: Freezing user space processes ... 
Nov 04 14:02:31 ankur.pc kernel: Freezing of tasks failed after 20.007 seconds (1 tasks refusing to freeze, wq_busy=0):
Nov 04 14:02:31 ankur.pc kernel: alsa-sink-HDMI  D ffff88024bd167c0     0  1745      1 0x00000004
Nov 04 14:02:31 ankur.pc kernel:  ffff8802328ffc78 0000000000000086 ffff880242241c40 ffff88022ee254c0
Nov 04 14:02:31 ankur.pc kernel:  ffff8802328ffc78 ffff880232900000 ffff88024bd0ec00 ffff8802328ffcc8
Nov 04 14:02:31 ankur.pc kernel:  ffff88024bd0ec00 ffff8802416fe000 ffff8802328ffc98 ffffffff81774907
Nov 04 14:02:31 ankur.pc kernel: Call Trace:
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff81774907>] schedule+0x37/0x80
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff817776f1>] schedule_timeout+0x121/0x240
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff810bd8f6>] ? __blocking_notifier_call_chain+0x56/0x70
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff811059d0>] ? trace_event_raw_event_tick_stop+0xf0/0xf0
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffffa047d265>] snd_power_wait+0xb5/0x110 [snd]
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff810c7a20>] ? wake_up_q+0x70/0x70
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffffa0480f35>] snd_ctl_ioctl+0xc5/0x6e0 [snd]
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff812312b5>] do_vfs_ioctl+0x295/0x470
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff8132930d>] ? selinux_file_ioctl+0x4d/0xc0
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff81231509>] SyS_ioctl+0x79/0x90
Nov 04 14:02:31 ankur.pc kernel:  [<ffffffff817789ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Nov 04 14:02:31 ankur.pc kernel:
Comment 4 Ankur Sinha (FranciscoD) 2015-11-04 09:05 EST
Created attachment 1089684 [details]
dmesg for 4.2.3-300
Comment 5 Ankur Sinha (FranciscoD) 2016-03-09 09:02:21 EST
Still happens with:

4.4.4-301.fc23.x86_64


[ 1423.527016] PM: Syncing filesystems ... done.
[ 1424.239354] PM: Preparing system for sleep (freeze)
[ 1424.239614] Freezing user space processes ... 
[ 1444.246242] Freezing of tasks failed after 20.005 seconds (1 tasks refusing to freeze, wq_busy=0):
[ 1444.246265] alsactl         D ffff8802412ebb98     0   742      1 0x00000004
[ 1444.246271]  ffff8802412ebb98 ffffffff81c10500 ffff88023ed63980 ffff8802412ec000
[ 1444.246274]  ffff8802412ebbd0 ffff88024bc0e080 ffff88024bc0e080 ffff880240274000
[ 1444.246278]  ffff8802412ebbb0 ffffffff8179bfe5 000000010011e669 ffff8802412ebc60
[ 1444.246281] Call Trace:
[ 1444.246294]  [<ffffffff8179bfe5>] schedule+0x35/0x80
[ 1444.246298]  [<ffffffff8179ee03>] schedule_timeout+0x123/0x270
[ 1444.246306]  [<ffffffff8110d2d0>] ? trace_event_raw_event_tick_stop+0x120/0x120
[ 1444.246309]  [<ffffffff8179fbae>] ? _raw_spin_unlock_irqrestore+0xe/0x10
[ 1444.246322]  [<ffffffffa04b8f05>] snd_power_wait+0xb5/0x110 [snd]
[ 1444.246327]  [<ffffffff810cdda0>] ? wake_up_q+0x70/0x70
[ 1444.246334]  [<ffffffffa04ba901>] snd_ctl_elem_info_user+0x61/0xf0 [snd]
[ 1444.246342]  [<ffffffffa04bd33c>] snd_ctl_ioctl+0x5ec/0x6c0 [snd]
[ 1444.246348]  [<ffffffff8133fc2c>] ? selinux_file_ioctl+0x10c/0x1c0
[ 1444.246355]  [<ffffffff81241168>] do_vfs_ioctl+0x298/0x480
[ 1444.246361]  [<ffffffff813374a3>] ? security_file_ioctl+0x43/0x60
[ 1444.246364]  [<ffffffff812413c9>] SyS_ioctl+0x79/0x90
[ 1444.246368]  [<ffffffff817a012e>] entry_SYSCALL_64_fastpath+0x12/0x71

[ 1444.246476] Restarting tasks ... done.
Comment 6 Ankur Sinha (FranciscoD) 2016-03-09 09:09 EST
Created attachment 1134535 [details]
dmesg for 4.4.4-301
Comment 7 Ankur Sinha (FranciscoD) 2016-05-18 03:55:40 EDT
Still happening:

Linux ankur.pc 4.5.4-300.fc24.x86_64 #1 SMP Wed May 11 17:57:16 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

--------------------

[ 4518.731725] Freezing user space processes ...
[ 4538.737412] Freezing of tasks failed after 20.005 seconds (1 tasks refusing to freeze, wq_busy=0):
[ 4538.737438] alsactl         D ffff88023d0f7b78     0   934      1 0x00000004
[ 4538.737443]  ffff88023d0f7b78 00ff88024bc0e040 ffff88017d228000 ffff88023e139d40
[ 4538.737447]  ffff88023d0f8000 ffff88023d0f7bb0 ffff88024bc8e040 ffff88024bc8e040
[ 4538.737451]  ffff88023e139d40 ffff88023d0f7b90 ffffffff817cc6f5 000000010040d2d5
[ 4538.737454] Call Trace:
[ 4538.737465]  [<ffffffff817cc6f5>] schedule+0x35/0x80
[ 4538.737469]  [<ffffffff817cf533>] schedule_timeout+0x123/0x270
[ 4538.737480]  [<ffffffffa05248ca>] ? snd_card_file_add+0x2a/0xd0 [snd]
[ 4538.737486]  [<ffffffff81110010>] ? trace_event_raw_event_tick_stop+0x100/0x100
[ 4538.737492]  [<ffffffffa0524eed>] snd_power_wait+0xbd/0x110 [snd]
[ 4538.737496]  [<ffffffff810d02b0>] ? wake_up_q+0x70/0x70
[ 4538.737503]  [<ffffffffa052698f>] snd_ctl_elem_info_user+0x5f/0xf0 [snd]
[ 4538.737511]  [<ffffffffa052940f>] snd_ctl_ioctl+0x5ef/0x6c0 [snd]
[ 4538.737515]  [<ffffffff81256f93>] do_vfs_ioctl+0xa3/0x5d0
[ 4538.737518]  [<ffffffff81257539>] SyS_ioctl+0x79/0x90
[ 4538.737522]  [<ffffffff817d086e>] entry_SYSCALL_64_fastpath+0x12/0x6d

[ 4538.737616] Restarting tasks ... done.
[ 4538.762788] video LNXVIDEO:00: Restoring backlight state
[ 4538.762926] video LNXVIDEO:01: Restoring backlight state
[ 4538.763248] PM: Syncing filesystems ... done.
[ 4539.280136] PM: Preparing system for sleep (freeze)
[ 4539.280352] Freezing user space processes ...
[ 4559.286300] Freezing of tasks failed after 20.005 seconds (1 tasks refusing to freeze, wq_busy=0):
[ 4559.286328] alsactl         D ffff88023d0f7b78     0   934      1 0x00000004
[ 4559.286335]  ffff88023d0f7b78 00ff88024bc8e040 ffffffff81c11500 ffff88023e139d40
[ 4559.286340]  ffff88023d0f8000 ffff88023d0f7bb0 ffff88024bc0e040 ffff88024bc0e040
[ 4559.286344]  ffff88023e139d40 ffff88023d0f7b90 ffffffff817cc6f5 0000000100414805
[ 4559.286348] Call Trace:
[ 4559.286360]  [<ffffffff817cc6f5>] schedule+0x35/0x80
[ 4559.286365]  [<ffffffff817cf533>] schedule_timeout+0x123/0x270
[ 4559.286378]  [<ffffffffa05248ca>] ? snd_card_file_add+0x2a/0xd0 [snd]
[ 4559.286387]  [<ffffffff81110010>] ? trace_event_raw_event_tick_stop+0x100/0x100
[ 4559.286394]  [<ffffffffa0524eed>] snd_power_wait+0xbd/0x110 [snd]
[ 4559.286401]  [<ffffffff810d02b0>] ? wake_up_q+0x70/0x70
[ 4559.286409]  [<ffffffffa052698f>] snd_ctl_elem_info_user+0x5f/0xf0 [snd]
[ 4559.286419]  [<ffffffffa052940f>] snd_ctl_ioctl+0x5ef/0x6c0 [snd]
[ 4559.286426]  [<ffffffff81256f93>] do_vfs_ioctl+0xa3/0x5d0
[ 4559.286430]  [<ffffffff81257539>] SyS_ioctl+0x79/0x90
[ 4559.286435]  [<ffffffff817d086e>] entry_SYSCALL_64_fastpath+0x12/0x6d

[ 4559.286540] Restarting tasks ... done.
Comment 8 Ankur Sinha (FranciscoD) 2016-05-18 03:56 EDT
Created attachment 1158645 [details]
dmesg for 4.5.4-300
Comment 9 Ankur Sinha (FranciscoD) 2016-08-23 05:43:17 EDT
Still seeing this with 4.6.7-300.fc24.x86_64

Can someone please glance at the debug to see if it really is a kernel issue??
Comment 10 Ankur Sinha (FranciscoD) 2016-08-28 18:19:25 EDT
Others also seem to have this issue:

http://forums.fedoraforum.org/showthread.php?t=307729

Here's someone getting it on Arch:
https://bbs.archlinux.org/viewtopic.php?id=182605

Someone else on F23:
https://ask.fedoraproject.org/en/question/78252/fedora-23-cant-suspend/
Comment 11 ludovic.auger 2016-09-08 05:39:02 EDT
On my laptop, I have the exact same issue since at least fedora 20.
Is there a known to get around the issue ?
I tried to kill alsactl but it did seem to work.

Thank you in advance.
Comment 12 Laura Abbott 2016-09-23 15:15:12 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.
 
Fedora 24 has now been rebased to 4.7.4-200.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 25, and are still experiencing this issue, please change the version to Fedora 25.
 
If you experience different issues, please open a new bug report for those.
Comment 13 Ankur Sinha (FranciscoD) 2016-09-23 17:20:14 EDT
Still persists:

[13055.729313] Freezing of tasks failed after 20.000 seconds (1 tasks refusing to freeze, wq_busy=0):
[13055.729342] alsactl         D ffff88023b6a3b78     0   741      1 0x00000004
[13055.729347]  ffff88023b6a3b78 00ff88024bd90100 ffff88023fa11d40 ffff8802233cba80
[13055.729351]  0000000000000286 ffff88023b6a4000 ffff88023b6a3bb0 ffff88024bd90100
[13055.729355]  ffff88024bd90100 ffff88023fa11d40 ffff88023b6a3b90 ffffffffbc7e75c5
[13055.729359] Call Trace:
[13055.729370]  [<ffffffffbc7e75c5>] schedule+0x35/0x80
[13055.729374]  [<ffffffffbc7ea653>] schedule_timeout+0x123/0x270
[13055.729379]  [<ffffffffbc10d460>] ? init_timer_key+0xb0/0xb0
[13055.729391]  [<ffffffffc06e1eed>] snd_power_wait+0xbd/0x110 [snd]
[13055.729396]  [<ffffffffbc0ca2b0>] ? wake_up_q+0x70/0x70
[13055.729403]  [<ffffffffc06e397f>] snd_ctl_elem_info_user+0x5f/0xf0 [snd]
[13055.729411]  [<ffffffffc06e641c>] snd_ctl_ioctl+0x5ec/0x6c0 [snd]
[13055.729416]  [<ffffffffbc25a382>] do_vfs_ioctl+0xa2/0x5d0
[13055.729420]  [<ffffffffbc25a929>] SyS_ioctl+0x79/0x90
[13055.729424]  [<ffffffffbc7eb872>] entry_SYSCALL_64_fastpath+0x1a/0xa4

[13055.729539] Restarting tasks ... done.

[asinha@ankur  ~]$ uname -a
Linux ankur.pc 4.7.4-200.fc24.x86_64 #1 SMP Thu Sep 15 18:42:09 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
Comment 14 ludovic.auger 2016-09-27 10:25:15 EDT
in my case I solved my similar  problem with 4.7.3 kernel providing that option to snd-hda-intel :

options snd-hda-intel enable=0,1,0

in /etc/modprobe.d/sound.conf

I am not 100% sure, but it seems it solved my issue, maybe the sound chip from the graphic card was active and caused trouble during the suspend process. The options provided to snd-hda-intel now only enables the right sound hardware.
Comment 15 Justin M. Forbes 2017-04-11 10:56:44 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 24 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-100.fc24.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.
Comment 16 Justin M. Forbes 2017-04-28 13:19:21 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 17 Ankur Sinha (FranciscoD) 2017-05-01 07:46:06 EDT
Still seems to persist with the F25. Unfortunately, I have issues with the nouveau driver and cannot test the F26 kernels at the moment. Reopening nevertheless.

Note You need to log in before you can comment on or make changes to this bug.